{% if include.data and include.data != "" %}
  {% assign cards = include.data %}
{% else %}
  {% assign cards = site.data.download.cards %}
{% endif %}


{% for card in cards %}

  {% if include.title and include.title != "" %}
    {% if include.title != card.title %}
      {% continue %}
    {% endif %}
  {% endif %}

  <div class="mb-5">
    {% if include.with_title %}
    <div class="h2">{{ card.title }}</div>
    {% endif %}

    {% if include.with_description %}
    <p>{{ card.description }}</p>
    {% endif %}

    {% if include.id and include.id != "" %}
      {%- capture card_id -%}
      {{ include.id }}-{{ card.title | downcase | replace: " ", "-" }}
      {%- endcapture %}
    {% else %}
      {%- capture card_id -%}
      DownloadsCard-1-{{ card.title | downcase | replace: " ", "-" }}
      {%- endcapture %}
    {% endif %}

    {% if include.with_releases %}
    <ul class="nav nav-pills my-3 justify-content-start" id="{{ card_id }}-pills-tab" role="tablist">
      {% for release in card.releases %}
      <li class="nav-item" role="presentation">
        <button class="nav-link{% if forloop.first %} active{% endif %} fw-bold"
          id="{{ card_id }}-pills-tab{{ forloop.index }}"
          data-bs-toggle="tab"
          data-bs-target="#{{ card_id }}-pills{{ forloop.index }}"
          type="button"
          role="tab"
          aria-controls="{{ card_id }}-pills-tab{{ forloop.index }}"
          {% if forloop.first %}aria-selected="true"{% endif %}
          >{{ release[0] }}</button>
      </li>
      {% endfor %}
    </ul>

    <div class="tab-content mb-3" id="{{ card_id }}-pills-tabContent">
    {% for release in card.releases %}

    {%- capture release_id -%}
    {{ card_id }}-pills{{ forloop.index }}
    {%- endcapture %}

    {%- capture tab_id -%}
    {{ card_id }}-pills-tab{{ forloop.index }}
    {%- endcapture %}

    <div class="tab-pane fade {% if forloop.first %} show active{% endif %}"
         id="{{ release_id }}"
         role="tabpanel"
         aria-labelledby="{{ tab_id }}"
         tabindex="{{ forloop.index }}">

        {% if include.with_screenshots %}
        {% for rows in release %}
        {% if rows.screenshots.size > 0 %}
        {% include download/cards-header-screenshots.html %}
        {% include download/cards-body-screenshots.html %}
        {% include download/cards-footer.html %}
        {% endif %}
        {% endfor %}
        {% endif %}

        {% if include.with_mirrors %}
        {% include download/cards-header-mirrors.html %}
        {% for rows in release %}
        {% for row in rows.mirrors %}
        {% include download/cards-body-mirrors.html %}
        {% endfor %}
        {% endfor %}
        {% include download/cards-footer.html %}
        {% endif %}

        {% if include.with_documentation %}
        {% include download/cards-header-documentation.html %}
        {% include download/cards-body-documentation.html %}
        {% include download/cards-footer.html %}
        {% endif %}

        {% if include.with_eol %}
        {% include download/cards-header-eol.html %}
        {% for rows in release %}
        {% for row in rows.eol %}
        {% include download/cards-body-eol.html %}
        {% endfor %}
        {% endfor %}
        {% include download/cards-footer.html %}
        {% endif %}

        {% if include.with_commands %}
        {% for rows in release %}
        {% for row in rows.commands %}
        {% include download/cards-header-commands.html %}
        {% include download/cards-body-commands.html %}
        {% include download/cards-footer.html %}
        {% endfor %}
        {% endfor %}
        {% endif %}
      </div>
      {% endfor %}
    </div>
    {% endif %}

  </div>
{% endfor %}
